---
title: 'Couch Potato'
---

# CouchPoato

### Clone the CouchPotato GitHub Repo
Run `git clone https://github.com/CouchPotato/CouchPotatoServer.git /opt/CouchPotato`
### User Management
For security it is best to run a service with a specific user and group. You can create one using the following command:
Add to the `couchpotato` group any users you wish to be able to easily manage or access files downloaded through Deluge, for example:
```sh
sudo adduser --system  --gecos "Couch Potato Service" --disabled-password --group --home /var/lib/couchpotato couchpotato
sudo adduser tanshu couchpotato
```
### Autostart with systemd
Create the file `/etc/systemd/system/couch-potato.service` containing the following:
```sh
sudo nano /etc/systemd/system/couch-potato.service
```
```
[Unit]
Description=Couch Potato Daemon
After=syslog.target network.target

[Service]
User=couchpotato
Group=couchpotato

Type=simple
ExecStart=/usr/bin/python /opt/CouchPotato/CouchPotato.py
TimeoutStopSec=20
KillMode=process
Restart=on-failure

[Install]
WantedBy=multi-user.target
```
Enable the service with:
```
systemctl enable /etc/systemd/system/couch-potato.service
systemctl start couch-potato
systemctl status couch-potato
```
### Finally
Open your browser and go to: http://localhost:5050/

